# DataExchange
TKSTEP
TopoDSToStep

# TopoDSToStep_MakeStepWire Class Reference

This class implements the mapping between classes
Wire from TopoDS and TopologicalRepresentationItem from
StepShape.
.

`#include <TopoDSToStep_MakeStepWire.hxx>`

Inheritance diagram for TopoDSToStep_MakeStepWire:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TopoDSToStep_MakeStepWire ()
Standard_EXPORT | TopoDSToStep_MakeStepWire (const TopoDS_Wire &W, TopoDSToStep_Tool &T, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT void | Init (const TopoDS_Wire &W, TopoDSToStep_Tool &T, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT const Handle_StepShape_TopologicalRepresentationItem & | Value () const
Standard_EXPORT TopoDSToStep_MakeWireError | Error () const

## Private Attributes

Handle_StepShape_TopologicalRepresentationItem | myResult
TopoDSToStep_MakeWireError | myError

## Constructor & Destructor Documentation

Standard_EXPORT TopoDSToStep_MakeStepWire::TopoDSToStep_MakeStepWire | ( |  | ) |

Standard_EXPORT TopoDSToStep_MakeStepWire::TopoDSToStep_MakeStepWire | ( | const TopoDS_Wire & | W,
|  | TopoDSToStep_Tool & | T,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

## Member Function Documentation

Standard_EXPORT TopoDSToStep_MakeWireError TopoDSToStep_MakeStepWire::Error | ( |  | ) | const

Standard_EXPORT void TopoDSToStep_MakeStepWire::Init | ( | const TopoDS_Wire & | W,
|  | TopoDSToStep_Tool & | T,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

void TopoDSToStep_MakeStepWire::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_MakeStepWire::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_MakeStepWire::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

Standard_EXPORT const Handle_StepShape_TopologicalRepresentationItem& TopoDSToStep_MakeStepWire::Value | ( |  | ) | const

## Field Documentation

TopoDSToStep_MakeWireError TopoDSToStep_MakeStepWire::myError `[private]`

Handle_StepShape_TopologicalRepresentationItem TopoDSToStep_MakeStepWire::myResult `[private]`

The documentation for this class was generated from the following file:

- TopoDSToStep_MakeStepWire.hxx